%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		python26-pil
Version:	1.1.7
Release:	1
BuildArch:	i686
License:	PIL Freeware License 
URL:		http://www.pythonware.com/products/pil/index.htm
Group:		Development/Libraries
Source0:	Imaging-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	The Python Imaging Library (PIL) adds image processing capabilities to your Python interpreter.

#Automatically resolved build dependencies
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: libjpeg-devel
BuildRequires: python26-devel
BuildRequires: tcl-devel
BuildRequires: tk-devel
BuildRequires: zlib-devel libX11-devel

Provides:	PIL = %{version}-%{release}
Obsoletes:	PIL <= %{version}-%{release}

%description
The Python Imaging Library (PIL) adds image processing capabilities to your Python interpreter.
This library supports many file formats, and provides powerful image processing and graphics capabilities.
For more details see: http://www.pythonware.com/products/pil/index.htm

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}
Provides:	PIL-devel = %{version}-%{release}
Obsoletes:	PIL-devel <= %{version}-%{release}


%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn Imaging-%{version}

%build
python%{PYVER} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python%{PYVER} setup.py install --root $RPM_BUILD_ROOT
python%{PYVER} setup.py install --optimize 2 --root $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_includedir/PIL
cp libImaging/*.h $RPM_BUILD_ROOT%_includedir/PIL

%files
%defattr(-,root,root)
%doc Docs/*
%_bindir/pilconvert.py
%_bindir/pildriver.py
%_bindir/pilfile.py
%_bindir/pilfont.py
%_bindir/pilprint.py
%{python_sitelib}

%files devel
%defattr(-,root,root)
%_includedir/PIL/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jun 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.7-1
- version update
* Thu Nov 19 2009 Christian Metzen <metzench@ccux-linux.de> 1.1.6-4
- python 2.6
- rename package to python26-pil
* Sun Aug 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1.6-3
- rebuilt against libjpeg 7
* Thu Apr 30 2009 Christian Wasem <wasem@ccux-linux.de> 1.1.6-2
- rebuilt with explicit /usr/bin/python2.5
* Fri Dec 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.6-1
- Version update
* Wed Jan 10 2007 Christian Metzen <metzench@ccux-linux.de> 1.1.5-4
- rebuild because of missing devel package in repo
* Thu Sep 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.1.5-3
- rebuilt against python 2.5
* Sat Jul 16 2005 Christian Wasem <wasem@ccux-linux.de> 1.1.5-2
- added devel package
* Sat Jul 16 2005 Christian Wasem <wasem@ccux-linux.de> 1.1.5-1
- Initial Release
